#ifndef canevas_h
#define canevas_h


#include <g2.h>
#include <win32/g2_win32.h>

#include <iostream>

class canevas
{
      // proprietes d'ne canevas taille et couleur
      int identificateur;
      int tailleX, tailleY;
      int couleurDeFond;

   public:
       // construteur pour le canevas
       canevas(int tx, int ty, int fond);
       canevas(int tx, int ty);
       canevas(int fond);
       canevas();
       // desctructeur du canevas
       ~canevas();
       // efface tous les dessins du canevas
       void effacer();
       // extraction des proprietes
       int valX() { return tailleX; };
       int valY() { return tailleY; };
       int valIdentificateur() { return identificateur;};
       int valCouleur() { return couleurDeFond;};
};

#endif

