/*********************************************************/
/*                                                       */
/*  Fact_recursif.cc                                     */
/*                                                       */
/*  Ce programme calcule le factoriel d'un nombre        */
/*                                                       */
/*  Auteur : Gabriel Girard                              */
/*                                                       */
/*********************************************************/
#include <iostream>

using namespace std;

int main()
{
  // Fonction utile
  int fact(int);
  
  // Definition des variables
  int nombre, factoriel;

  cout << " Entrez le nombre dont on doit"
       << " calculer le factoriel : " ;
  cin >> nombre;
  
  factoriel = fact(nombre);

  cout << " le factoriel de " << nombre << " est : " 
       << factoriel << endl;
}

/***********************************************************/
/*                                                         */
/*  Cette fonction calcule le factoriel d'un nombre grace  */
/*  a la recursivite.                                      */
/*                                                         */
/*  Entree: nb -- un entier                                */
/*  Sortie: factoriel -- un entier                         */
/*                                                         */
/*  Domaine : nb > 0                                       */
/*  Image : un nombre > 0 representant le factoriel        */
/*                                                         */
/*  Cette fonction n'est pas robuste                       */
/*                                                         */
/***********************************************************/

int fact(int nb)
{
  int factoriel;
 
  if (nb == 1) factoriel = 1;
  else factoriel = nb * fact(nb-1);
 
  return factoriel;
}
