/***********************************************************

    T.A.D. : Cercle

     Analyse

         Un cercle est connu par son rayon
         Les formules necessaires sont:
                 perimetre = 2<pi>r
                 surface = <pi>r2
**************************************************************/
#include <iostream>
using namespace std;

const float PI = 3.14159 ;

class Cercle
{
	float rayon ;
public:
	Cercle() ;
	Cercle(float) ;
	void lecture();
	void imprime() ;
	float perimetre() ;
	float surface() ;
} ;

/*****************************************************************

   Methodes pour le type Cercle
			 
*****************************************************************/
/*---------------------------------------------------------------
   Contructeurs
---------------------------------------------------------------*/

Cercle::Cercle()
{
	rayon = 0 ;
}
Cercle::Cercle(float valeur_rayon)
{
	rayon = valeur_rayon ;
}
/*---------------------------------------------------------------
   Lecture
---------------------------------------------------------------*/
// De l'entree standard (clavier)

void Cercle::lecture()
{
	cin >> rayon ;
}
/*---------------------------------------------------------------
   Methode pour le calcul...
---------------------------------------------------------------*/

float Cercle::perimetre()
{
	return 2 * PI * rayon ;
}

float Cercle::surface()
{
	return PI * rayon * rayon ;
}
/*---------------------------------------------------------------
   Ecriture
---------------------------------------------------------------*/
// Sur la sortie standard (ecran)

void Cercle::imprime()
{
	cout << rayon ;
}
